# PriceListChargeAttributes

```json
{
  "id": "456123",
  "priceListId": "456123",
  "name": "",
  "code": "",
  "selfServiceQuantity": true,
  "specificInvoiceLineText": "",
  "pricingModel": "PricingModel",
  "chargeType": "ChargeType",
  "billingPeriod": "BillingPeriod",
  "showPriceAsMonthly": true,
  "accountingCode": "",
  "taxCode": "",
  "quantityMin": 123,
  "quantityMax": 123,
  "roundUpInterval": 123,
  "price": "BigDecimal",
  "priceDecimals": 123,
  "position": 123,
  "featureId": "456123",
  "featureCode": "",
  "featureAddon": true,
  "usageCalculationType": "UsageCalculation",
  "recognitionPeriod": 123,
  "financialAccountId": "456123",
  "isTelecomCharge": true,
  "avalaraAfcTransactionType": "",
  "avalaraAfcServiceType": "",
  "avalaraAfcSaleType": "",
  "hidePeriodsOnInvoice": true,
  "priceListChargeTiers": [
    {
      "starts": 123,
      "price": "BigDecimal"
    }
  ]
}
```

| Name                      | Type                                                                                                    | Description                                          |
| ------------------------- | ------------------------------------------------------------------------------------------------------- | ---------------------------------------------------- |
| id                        | ID                                                                                                      |                                                      |
| priceListId               | ID                                                                                                      |                                                      |
| name                      | String                                                                                                  |                                                      |
| code                      | String                                                                                                  |                                                      |
| selfServiceQuantity       | Boolean                                                                                                 |                                                      |
| specificInvoiceLineText   | String                                                                                                  |                                                      |
| pricingModel              | [PricingModel](/developer/api-reference/enums.md#pricingmodel)                                          |                                                      |
| chargeType                | [ChargeType](/developer/api-reference/enums.md#chargetype)                                              |                                                      |
| billingPeriod             | [BillingPeriod](/developer/api-reference/enums.md#billingperiod)                                        |                                                      |
| showPriceAsMonthly        | Boolean                                                                                                 |                                                      |
| accountingCode            | String                                                                                                  |                                                      |
| taxCode                   | String                                                                                                  |                                                      |
| quantityMin               | Int                                                                                                     |                                                      |
| quantityMax               | Int                                                                                                     |                                                      |
| roundUpInterval           | Int                                                                                                     |                                                      |
| price                     | BigDecimal                                                                                              |                                                      |
| priceDecimals             | Int                                                                                                     |                                                      |
| position                  | Int                                                                                                     |                                                      |
| featureId                 | ID                                                                                                      |                                                      |
| featureCode               | String                                                                                                  |                                                      |
| featureAddon              | Boolean                                                                                                 |                                                      |
| usageCalculationType      | [UsageCalculation](/developer/api-reference/enums.md#usagecalculation)                                  |                                                      |
| recognitionPeriod         | Int                                                                                                     |                                                      |
| financialAccountId        | ID                                                                                                      |                                                      |
| isTelecomCharge           | Boolean                                                                                                 |                                                      |
| avalaraAfcTransactionType | String                                                                                                  |                                                      |
| avalaraAfcServiceType     | String                                                                                                  |                                                      |
| avalaraAfcSaleType        | String                                                                                                  |                                                      |
| hidePeriodsOnInvoice      | Boolean                                                                                                 | Controls whether to hide billing periods on invoices |
| priceListChargeTiers      | List ([PriceListChargeTierAttributes](/developer/api-reference/types/pricelistchargetierattributes.md)) |                                                      |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bunny.com/developer/api-reference/types/pricelistchargeattributes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
